stages:
  - docker-build

variables:
  IMAGE_NAME: ${CI_REGISTRY_IMAGE}
  IMAGE_TAG: $CI_COMMIT_SHORT_SHA
  BUILD_ARG:


docker-build:
  stage: docker-build
  image:
    name: gcr.io/kaniko-project/executor:v1.9.0-debug
    entrypoint: [""]
  before_script:
    - env > variable.env
    - cat variable.env
  script:
  #   - /kaniko/executor --context .  --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA
    - /kaniko/executor
      $BUILD_ARG
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/Dockerfile"
      --destination "${IMAGE_NAME}:${IMAGE_TAG}"
      --destination "${IMAGE_NAME}:latest"
  rules:
    - if: $CI_COMMIT_TAG